Package com.independentsoft.office.odf.charts

# Class PlotArea

java.lang.Object
com.independentsoft.office.odf.charts.PlotArea

All Implemented Interfaces:
  `IContentElement`

public class PlotArea extends Object implements IContentElement
Represents a coordinate system in which data is plotted including defined axes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlotArea()`
  Initializes a new instance of the PlotArea class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlotArea`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<Axis>`
  `getAxes()`
  Gets collection of axis.
  `String`
  `getCellRange()`
  Gets ranges from which all the data for the chart comes.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Floor`
  `getFloor()`
  Gets the floor.
  `Size`
  `getHeight()`
  Gets default height for new frames that are created using the graphics style.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `List<Serie>`
  `getSeries()`
  Gets collection of data series.
  `String`
  `getStyle()`
  Gets name that reference style mechanisms.
  `Wall`
  `getWall()`
  Gets the wall.
  `Size`
  `getWidth()`
  Gets the width of a chart.
  `Size`
  `getX()`
  Gets the X coordinate of plot area.
  `Size`
  `getY()`
  Gets the Y coordinate of plot area.
  `void`
  `setCellRange​(String cellRange)`
  Sets ranges from which all the data for the chart comes.
  `void`
  `setFloor​(Floor floor)`
  Sets the floor.
  `void`
  `setHeight​(Size height)`
  Sets default height for new frames that are created using the graphics style.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets name that reference style mechanisms.
  `void`
  `setWall​(Wall wall)`
  Sets the wall.
  `void`
  `setWidth​(Size width)`
  Sets the width of a chart.
  `void`
  `setX​(Size x)`
  Sets the X coordinate of plot area.
  `void`
  `setY​(Size y)`
  Sets the Y coordinate of plot area.
  `String`
  `toString()`
  Converts the value of the current PlotArea object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PlotArea

    public PlotArea()
    Initializes a new instance of the PlotArea class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public PlotArea clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current PlotArea object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getCellRange

    public String getCellRange()
    Gets ranges from which all the data for the chart comes. The range given here is interpreted by the chart as consecutive series.
    Returns:
      the cell range

  - ### setCellRange

    public void setCellRange​(String cellRange)
    Sets ranges from which all the data for the chart comes. The range given here is interpreted by the chart as consecutive series.
    Parameters:
      `cellRange` - the new cell range

  - ### getStyle

    public String getStyle()
    Gets name that reference style mechanisms.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets name that reference style mechanisms.
    Parameters:
      `style` - the new style

  - ### getX

    public Size getX()
    Gets the X coordinate of plot area.
    Returns:
      the x

  - ### setX

    public void setX​(Size x)
    Sets the X coordinate of plot area.
    Parameters:
      `x` - the new x

  - ### getY

    public Size getY()
    Gets the Y coordinate of plot area.
    Returns:
      the y

  - ### setY

    public void setY​(Size y)
    Sets the Y coordinate of plot area.
    Parameters:
      `y` - the new y

  - ### getWidth

    public Size getWidth()
    Gets the width of a chart. If it is omitted, the size of a chart is determined by the size of the window in which the chart is displayed.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the width of a chart. If it is omitted, the size of a chart is determined by the size of the window in which the chart is displayed.
    Parameters:
      `width` - the new width

  - ### getHeight

    public Size getHeight()
    Gets default height for new frames that are created using the graphics style.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Size height)
    Sets default height for new frames that are created using the graphics style.
    Parameters:
      `height` - the new height

  - ### getAxes

    public List<Axis> getAxes()
    Gets collection of axis.
    Returns:
      the axes

  - ### getSeries

    public List<Serie> getSeries()
    Gets collection of data series.
    Returns:
      the series

  - ### getWall

    public Wall getWall()
    Gets the wall. For two-dimensional charts, the wall spans the entire plot area. For three-dimensional charts, the wall consists of two perpendicular rectangles.
    Returns:
      the wall

  - ### setWall

    public void setWall​(Wall wall)
    Sets the wall. For two-dimensional charts, the wall spans the entire plot area. For three-dimensional charts, the wall consists of two perpendicular rectangles.
    Parameters:
      `wall` - the new wall

  - ### getFloor

    public Floor getFloor()
    Gets the floor.
    Returns:
      the floor

  - ### setFloor

    public void setFloor​(Floor floor)
    Sets the floor.
    Parameters:
      `floor` - the new floor